Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class JspBase

    java.lang.Object
      |
      +--weblogic.servlet.jsp.JspBase
            |
            +--examples.e2e.b2b.JspBase

public abstract class JspBase
extends weblogic.servlet.jsp.JspBase
implements JspConstants, Constants

`JspBase` is a base class to be used by Jsp pages in the b2b portal. The class provides methods for obtaining a ``PipelineSession``, webflow request context, ``RequestState``, ``SessionState``, and for generating static webflow URLs.

Fields inherited from class weblogic.servlet.jsp.JspBase
`_servletConfig`

Constructor Summary
`protected` | `JspBase()` Construct a new `JspBase` object.

Method Summary
`protected PipelineSession` | `getPipelineSession(javax.servlet.http.HttpServletRequest request)` Obtains the ``PipelineSession`` for the given request.
`protected RequestState` | `getRequestState(javax.servlet.http.HttpServletRequest request)` Returns the ``RequestState`` for the supplied HTTP servlet request.
`protected RequestState` | `getRequestState(javax.servlet.ServletRequest request)` Returns the ``RequestState`` for the supplied servlet request.
`protected SessionState` | `getSessionState(javax.servlet.http.HttpServletRequest request)` Returns the ``SessionState`` for the supplied HTTP servlet request.
`protected SessionState` | `getSessionState(javax.servlet.ServletRequest request)` Returns the ``SessionState`` for the supplied servlet request.
`protected java.lang.String` | `getStaticUrl(javax.servlet.jsp.PageContext pageContext, java.lang.String resource, boolean encode)` Returns a static webflow resource URL for the given resource.
`protected java.lang.Object` | `getWebflowContext(javax.servlet.http.HttpServletRequest request)` Obtains the webflow request context for the given servlet request.

Methods inherited from class weblogic.servlet.jsp.JspBase
`_jspService, destroy, getServletConfig, getServletInfo, init, jspDestroy, jspInit, service`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspBase

    protected JspBase()

  Construct a new `JspBase` object.

Method Detail

### getPipelineSession

    protected PipelineSession getPipelineSession(javax.servlet.http.HttpServletRequest request)

  Obtains the ``PipelineSession`` for the given request.

### getWebflowContext

    protected java.lang.Object getWebflowContext(javax.servlet.http.HttpServletRequest request)

  Obtains the webflow request context for the given servlet request.

### getRequestState

    protected RequestState getRequestState(javax.servlet.ServletRequest request)
                                    throws javax.servlet.jsp.JspException

  Returns the ``RequestState`` for the supplied servlet request.

### getRequestState

    protected RequestState getRequestState(javax.servlet.http.HttpServletRequest request)
                                    throws javax.servlet.jsp.JspException

  Returns the ``RequestState`` for the supplied HTTP servlet request.

### getSessionState

    protected SessionState getSessionState(javax.servlet.ServletRequest request)
                                    throws javax.servlet.jsp.JspException

  Returns the ``SessionState`` for the supplied servlet request.

### getSessionState

    protected SessionState getSessionState(javax.servlet.http.HttpServletRequest request)
                                    throws javax.servlet.jsp.JspException

  Returns the ``SessionState`` for the supplied HTTP servlet request.

### getStaticUrl

    protected java.lang.String getStaticUrl(javax.servlet.jsp.PageContext pageContext,
                                            java.lang.String resource,
                                            boolean encode)

  Returns a static webflow resource URL for the given resource.

  Parameters:
    `pageContext` - the page context associated with the Jsp page.
    `the` - resource for which to create a webflow URL.
    `encode` - describes whether the session identifier should be included in the URL if the browser does not accept cookies.
  See Also:
    `com.bea.p13n.appflow.webflow.WebflowJspHelper#createStaticResourceURL`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved